%define modn   sshfs
%define modv   2.7


Summary:       A SSH filesystem using FUSE
Name:          %{modn}-fuse
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://github.com/libfuse/%{modn}/releases/download/%{modn}-%{modv}/%{modn}-%{modv}.tar.gz
URL:           http://github.com/libfuse/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Nikolaus Rath <Nikolaus@rath.org>
Provides:      fuse-mod(%{modn}) = %{modv}
Requires:      fuse >= 2.2 openssh-clients
BuildRequires: fuse-devel >= 2.2 glib2-devel
BuildRequires: openssh-clients pkgconfig
Obsoletes:     fuse-%{modn} < %{version}-%{release}


%description
This package provides a filesystem client based on the SSH File Transfer
Protocol. Since most SSH servers already support this protocol it is very
easy to set up: i.e. on the server side there's nothing to do. On client
side mounting the filesystem is as easy as logging into the server with
ssh.


%prep
%setup -q -n %{modn}-%{modv}


%build
%configure
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{modn}
%{?el5:%{_libdir}/sshnodelay.so}
%{_mandir}/man1/%{modn}.1*


%changelog
* Tue May 10 2016 Peter Pramberger <peterpramb@member.fsf.org> - 2.7-1
- New version (2.7)

* Mon Jan 04 2016 Peter Pramberger <peterpramb@member.fsf.org> - 2.5-1
- New version (2.5)

* Fri Apr 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 2.4-1
- New version (2.4)

* Fri Sep 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2.3-1
- New version (2.3)
- Renamed package to project name

* Tue Oct 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.2-1
- New version (2.2)

* Mon Jul 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.1-1
- New version (2.1)

* Sat Jan 19 2008 peter.pramberger@member.fsf.org 1.9-3
- created
